package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@NoArgsConstructor
@Data
public class GetHouseAbnormalDataVo {
    @Hidden
    private String secondUnit;
    @Hidden
    private String thirdUnit;
    @Schema(description = "单位名称", example = "全省")
    private String unitName;
    @Schema(description = "既未对应土地又未对应建筑的局址数量", example = "3")
    private Integer weiGuanLianJuZhiSum;
    @Schema(description = "闲置建筑面积", example = "23432.55")
    private BigDecimal xianZhiJianZhuMianJiSum;
    @Schema(description = "子列表")
    private List<GetHouseAbnormalDataVo> children;
}
